BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE Class Reference

Type that holds device information for GetDeviceInformation method. Used with FT_GetDeviceInfo and FT_GetDeviceInfoDetail in FTD2XX.DLL More...

## Public Attributes
UInt32 | Flags
| Indicates device state. Can be any combination of the following: FT_FLAGS_OPENED, FT_FLAGS_HISPEED More...
FT_DEVICE | Type
| Indicates the device type. Can be one of the following: FT_DEVICE_232R, FT_DEVICE_2232C, FT_DEVICE_BM, FT_DEVICE_AM, FT_DEVICE_100AX or FT_DEVICE_UNKNOWN More...
UInt32 | ID
| The Vendor ID and Product ID of the device More...
UInt32 | LocId
| The physical location identifier of the device More...
string | SerialNumber
| The device serial number More...
string | Description
| The device description More...
IntPtr | ftHandle
| The device handle. This value is not used externally and is provided for information only. If the device is not open, this value is 0. More...

## Detailed Description

Type that holds device information for GetDeviceInformation method. Used with FT_GetDeviceInfo and FT_GetDeviceInfoDetail in FTD2XX.DLL

## Member Data Documentation

## ◆ Description

string FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE.Description

The device description

## ◆ Flags

UInt32 FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE.Flags

Indicates device state. Can be any combination of the following: FT_FLAGS_OPENED, FT_FLAGS_HISPEED

## ◆ ftHandle

IntPtr FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE.ftHandle

The device handle. This value is not used externally and is provided for information only. If the device is not open, this value is 0.

## ◆ ID

UInt32 FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE.ID

The Vendor ID and Product ID of the device

## ◆ LocId

UInt32 FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE.LocId

The physical location identifier of the device

## ◆ SerialNumber

string FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE.SerialNumber

The device serial number

## ◆ Type

FT_DEVICE FTD2XX_NET.FTDI.FT_DEVICE_INFO_NODE.Type

Indicates the device type. Can be one of the following: FT_DEVICE_232R, FT_DEVICE_2232C, FT_DEVICE_BM, FT_DEVICE_AM, FT_DEVICE_100AX or FT_DEVICE_UNKNOWN

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs